Bug 15769 - C4::Koha::slashifyDate is outdated
Summary: C4::Koha::slashifyDate is outdated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 15779 15800
  Show dependency treegraph
 
Reported: 2016-02-09 13:39 UTC by Jonathan Druart
Modified: 2017-06-14 22:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15769: Remove outdated C4::Koha::slashifyDate subroutine (3.47 KB, patch)
2016-02-09 13:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15769: Remove outdated C4::Koha::slashifyDate subroutine (3.60 KB, patch)
2016-02-09 19:37 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15769: Remove outdated C4::Koha::slashifyDate subroutine (3.68 KB, patch)
2016-02-12 07:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-02-09 13:39:56 UTC

    
Comment 1 Jonathan Druart 2016-02-09 13:41:47 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-02-09 19:37:44 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-02-11 13:07:11 UTC
Hi Hécror,
Did you forget to switch to Signed-off?
:-)
Comment 4 Marcel de Rooy 2016-02-12 07:32:28 UTC
Created attachment 47951 [details] [review]
Bug 15769: Remove outdated C4::Koha::slashifyDate subroutine

This subroutine does not make sense anymore (Koha::DateUtils should be
used) and is no longer used.
It can be removed safely.

Test plan:
  git grep slashifyDate
should not return any results

  prove t/Koha.t
and
  prove t/db_dependent/Koha.t
should return green

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
slashifyDate removed, all test pass successfully

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Brendan Gallagher 2016-02-24 03:49:06 UTC
Pushed to Master - Should be in the May 2016 Release. thanks!